Index: http-fingerprints.lua
===================================================================
--- http-fingerprints.lua	(revision 24538)
+++ http-fingerprints.lua	(working copy)
@@ -429,7 +429,6 @@
 		{path='/admin/index.php', method='HEAD'},
 		{path='/admin/login.php', method='HEAD'},
 		{path='/admin/admin.php', method='HEAD'},
-		{path='/admin/account.php', method='HEAD'},
 		{path='/joomla/administrator', method='HEAD'},
 		{path='/login.php', method='HEAD'},
 		{path='/admin_area/admin.php', method='HEAD'},
@@ -454,7 +453,6 @@
 		{path='/admincp/login.asp', method='HEAD'},
 		{path='/admincp/index.html', method='HEAD'},
 		{path='/admincp/login.php', method='HEAD'},
-		{path='/admin/account.html', method='HEAD'},
 		{path='/adminpanel.html', method='HEAD'},
 		{path='/webadmin.html', method='HEAD'},
 		{path='/webadmin/index.html', method='HEAD'},
@@ -493,7 +491,6 @@
 		{path='/admincontrol.php', method='HEAD'},
 		{path='/admin/adminLogin.html', method='HEAD'},
 		{path='/adminLogin.html', method='HEAD'},
-		{path='/admin/adminLogin.html', method='HEAD'},
 		{path='/home.html', method='HEAD'},
 		{path='/rcjakar/admin/login.php', method='HEAD'},
 		{path='/adminarea/index.html', method='HEAD'},
@@ -644,10 +641,7 @@
 		{path='/moderator/admin.asp', method='HEAD'},
 		{path='/controlpanel.asp', method='HEAD'},
 		{path='/user.asp', method='HEAD'},
-		{path='/admincp/index.asp', method='HEAD'},
-		{path='/admincp/login.asp', method='HEAD'},
 		{path='/admincontrol.asp', method='HEAD'},
-		{path='/admin/account.asp', method='HEAD'},
 		{path='/adminpanel.asp', method='HEAD'},
 		{path='/webadmin.asp', method='HEAD'},
 		{path='/webadmin/index.asp', method='HEAD'},
@@ -712,7 +706,6 @@
 		{path='/admincp/index.aspx', method='HEAD'},
 		{path='/admincp/login.aspx', method='HEAD'},
 		{path='/admincontrol.aspx', method='HEAD'},
-		{path='/admin/account.aspx', method='HEAD'},
 		{path='/adminpanel.aspx', method='HEAD'},
 		{path='/webadmin.aspx', method='HEAD'},
 		{path='/webadmin/index.aspx', method='HEAD'},
@@ -777,7 +770,6 @@
 		{path='/admincp/index.jsp', method='HEAD'},
 		{path='/admincp/login.jsp', method='HEAD'},
 		{path='/admincontrol.jsp', method='HEAD'},
-		{path='/admin/account.jsp', method='HEAD'},
 		{path='/adminpanel.jsp', method='HEAD'},
 		{path='/webadmin.jsp', method='HEAD'},
 		{path='/webadmin/index.jsp', method='HEAD'},
@@ -872,7 +864,6 @@
 		{path='/plog-admin/', method='HEAD'},
 		{path='/ESAdmin/', method='HEAD'},
 		{path='/axis2-admin/', method='HEAD'},
-		{path='/webadmin.php', method='HEAD'},
 		{path='/_sys/', method='HEAD'},
 		{path='/admin_cp.asp', method='HEAD'}
 	},
@@ -1573,7 +1564,8 @@
 table.insert(fingerprints, {
 	category='general',
 	probes={
-		{path='/Base/upload.php', method='GET'}
+		{path='/Base/upload.php', method='GET'},
+		{path='/tools/filemanager/skins/mobile/admin1.template.php', method='GET'}
 	},
 	matches= {
 		{match='', output='MassMirror Uploader'}
@@ -1593,16 +1585,6 @@
 table.insert(fingerprints, {
 	category='general',
 	probes={
-		{path='/tools/filemanager/skins/mobile/admin1.template.php', method='GET'}
-	},
-	matches= {
-		{match='', output='MassMirror Uploader'}
-	}
-})
-
-table.insert(fingerprints, {
-	category='general',
-	probes={
 		{path='/Uploadify/', method='GET'}
 	},
 	matches= {
@@ -2205,14 +2187,12 @@
 		{path='/phpMyAdmin-2.6.1-pl1/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.1-pl2/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.1-pl3/', method='HEAD'},
-		{path='/phpMyAdmin-2.6.2-rc1/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.2-beta1/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.2-rc1/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.2/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.2-pl1/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.3/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.3-rc1/', method='HEAD'},
-		{path='/phpMyAdmin-2.6.3/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.3-pl1/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.4-rc1/', method='HEAD'},
 		{path='/phpMyAdmin-2.6.4-pl1/', method='HEAD'},
@@ -2264,17 +2244,6 @@
 	probes={
 		{path='/homepage.nsf/homePage.gif?OpenImageResource', method='HEAD'},
 		{path='/icons/ecblank.gif', method='HEAD'},
-	},
-	matches= {
-		{match='', output='Lotus Domino'}
-	}
-})
-
-table.insert(fingerprints, {
-	category='database',
-	probes={
-		{path='/homepage.nsf/homePage.gif?OpenImageResource', method='HEAD'},
-		{path='/icons/ecblank.gif', method='HEAD'},
 		{path='/852566C90012664F', method='HEAD'},
 		{path='/admin4.nsf', method='HEAD'},
 		{path='/admin5.nsf', method='HEAD'},
@@ -3060,16 +3029,6 @@
 table.insert(fingerprints, {
 	category='cms',
 	probes={
-		{path='/admin/view/javascript/fckeditor/editor/filemanager/connectors/test.html', method='GET'}
-	},
-	matches= {
-		{match='', output='DM File Manager/FCKeditor File upload'}
-	}
-})
-
-table.insert(fingerprints, {
-	category='cms',
-	probes={
 		{path='/includes/FCKeditor/editor/filemanager/browser/default/connectors/php/connector.php', method='HEAD'},
 		{path='/includes/FCKeditor/editor/filemanager/browser/default/connectors/asp/connector.asp', method='HEAD'},
 		{path='/includes/FCKeditor/editor/filemanager/browser/default/connectors/aspx/connector.aspx', method='HEAD'},
@@ -3230,7 +3189,7 @@
 		{path='/Final/login/ava_upl2.php', method='HEAD'}
 	},
 	matches= {
-		{match='', output='Asset Manager/Remote File upload'}
+		{match='', output='CH-CMS.ch/Remote File upload'}
 	}
 })
 
@@ -3292,6 +3251,8 @@
 	category='cms',
 	probes={
 		{path='/infusions/avatar_studio/avatar_studio.php', method='HEAD'}
+		{path='/bnnr.php', method='HEAD'}, -- Is this correct? also matches below
+		{path='/vb/bnnr.php', method='HEAD'} -- Is this correct?
 	},
 	matches= {
 		{match='', output='PHP-Fusion Mod avatar_studio'}
@@ -3302,17 +3263,6 @@
 	category='cms',
 	probes={
 		{path='/bnnr.php', method='HEAD'},
-		{path='/vb/bnnr.php', method='HEAD'}
-	},
-	matches= {
-		{match='', output='PHP-Fusion Mod avatar_studio'}
-	}
-})
-
-table.insert(fingerprints, {
-	category='cms',
-	probes={
-		{path='/bnnr.php', method='HEAD'},
 		{path='/vb/bnnr.php', method='HEAD'},
 		{path='/forum/bnnr.php', method='HEAD'}
 	},
@@ -3338,16 +3288,6 @@
 table.insert(fingerprints, {
 	category='uncategorized',
 	probes={
-		{path='/TopAccess/images/RioGrande/Rio_PPC.gif', method='HEAD'},
-	},
-	matches= {
-		{match='', output='TopAccess Toshiba e-Studio520'}
-	}
-})
-
-table.insert(fingerprints, {
-	category='uncategorized',
-	probes={
 		{path='/archive/flash:home/html/images/Cisco_logo.gif', method='HEAD'},
 	},
 	matches= {
@@ -3452,7 +3392,6 @@
 		{path='/v/', method='GET'},
 		{path='/w/', method='GET'},
 		{path='/x/', method='GET'},
-		{path='/x/', method='GET'},
 		{path='/y/', method='GET'},
 		{path='/z/', method='GET'},
 		{path='/acceso/', method='GET'},
